Bug 159614 - SATA drive mapped as a SCSI drive
SATA drive mapped as a SCSI drive
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-05 21:38 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 13:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-06-05 21:38:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Hi All,

   I am using White Box Enterprise Linux 4 (WBEL 4).

   My system runs off an LSI SATA-4 RAID controller.
I also have an Adaptec 2047600, SATAConnect 1205SA 
controller that is used with my backup SATA hot swap drives
(cheaper and faster than digital tape).

   Under WBEL 3, the SATA drive was treated as an IDE drive
(/dev/hda).    Under WBEL 4, it is now a SCSI drive. 

  When the removable backup SATA drive is not installed, WBEL 
maps the RAID drive as /dev/sda.  When the removable SATA
drive is installed, it gets mapped as /dev/sda and the RAID drive
gets bumped to /dev/sdb.  Then whoever is responsible for /etc/fstab
at boot goes through and fixes the drive mapping (except the swap
partition, which it misses and I will post under another bug).

   This is a total pain in the neck.  SATA drives are not SCSI drives.
Please map them in the same manner as you did under WBEL 3.

Many thanks,
--Tony

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. please see description
2.
3.
  

Additional info:
Comment 1 Harald Hoyer 2005-06-06 09:58:36 EDT
use filesystem labels or udev rules for a symlink... indeed SATA is now
recognized as SCSI...
Comment 2 Need Real Name 2005-06-06 13:22:16 EDT
Dude!  Shall we start calling floppy drives CD-ROM drives? Shall
we call SAS drives ATA drives?  (S)ATA drives are not SCSI drives.
Thne technology is vastly different.

You should only call drives that are connected to SCSI adapters
or adapters that present themselves as SCSI adapters as SCSI drives.  
(This would cover SATA drives in RAID controllers that support both
SAS and SATA).

This is indeed a bug.  Please fix.  I(f you still disagree with me, please
as a senior technican with hardware experience for help.

--Tony
Comment 3 Harald Hoyer 2005-06-07 03:01:25 EDT
I agree, that (S)ATA drives are not SCSI drives. Your solution would be to use
filesystem labels or rename (or better symlink) your drives with udev rules.

For a discussion of why SATA drives are mapped in the SCSI driver layer, I'll
reassign this bug to the component "kernel"

Note You need to log in before you can comment on or make changes to this bug.